{% load static %}

<html>
    <head>
        <title>Story 8</title>
        <link rel="stylesheet" type="text/css" href="{% static 'accordion/main.css' %}">
        <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
        <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
        
        <style>
            ul li:first-child a.up,
            ul li:last-child a.down {
            display: none;
            }
        </style>
    </head>

    <body>
        <ul>
            <li>
                <button class="accordion" id="acc1">Name</button>
                <div class="down">v</div>
                <div class="up">^</div>
                <div class="panel" id="panel1">
                    <p>Muhammad Zahran Agung Dewantoro</p>
                </div>
            </li>

            <li>
                <button class="accordion" id="acc2">University and Student Number</button>
                <div class="down">v</div>
                <div class="up">^</div>
                <div class="panel" id="panel2">
                    <p>University of Indonesia - 1906426922</p>
                </div>
            </li>

            <li>
                <button class="accordion" id="acc3">Hobby</button>
                <div class="down">v</div>
                <div class="up">^</div>
                <div class="panel" id="panel3">
                    <ul>
                        <li>Video Gaming</li>
                        <li>Watching Movie</li>
                        <li>Listening Music</li>
                    </ul>
                </div>
            </li>

            <li>
                <button class="accordion" id="acc4">Personal Description</button>
                <div class="down">v</div>
                <div class="up">^</div>
                <div class="panel" id="panel4">
                    <p>Hello my name is Zahran, i'm 18 years old. Currently i am a Computer Science student at Indonesia University.</p>
                </div>
            </li>
        </ul>
        <script>
            var txt = $('#first').text()

            $(document).ready(function(){
                $("#acc1").click(function(){
                $("#panel1").slideToggle();
                $("#acc1").toggleClass("active")
              });

                $("#acc2").click(function(){
                $("#panel2").slideToggle();
                $("#acc2").toggleClass("active")
              });

                $("#acc3").click(function(){
                $("#panel3").slideToggle();
                $("#acc3").toggleClass("active")
              });

                $("#acc4").click(function(){
                $("#panel4").slideToggle();
                $("#acc4").toggleClass("active")
              });
            
            $(function() {
                $('.up').on('click', function(e) {
                    var wrapper = $(this).closest('li')
                    wrapper.insertBefore(wrapper.prev())
                })
                $('.down').on('click', function(e) {
                    var wrapper = $(this).closest('li')
                    wrapper.insertAfter(wrapper.next())
                })
            })
        });
        </script>
    </body>
</html>
